### Function

# GObject BaseFinalizeFunc

#### Declaration

    void
    (* GBaseFinalizeFunc) (
      GObjectTypeClass* g_class
    )

#### Description [src]

A callback function used by the type system to finalize those portions of a derived types class structure that were setup from the corresponding GBaseInitFunc() function.

Class finalization basically works the inverse way in which class initialization is performed.

See GClassInitFunc() for a discussion of the class initialization process.

#### Parameters

`g_class`

  Type: `GTypeClass`

  The `GTypeClass` structure to finalize.

  The data is owned by the caller of the function.